I have a wpmu site set up. one of my customers on the set

Hi, I have a wpmu site set up. one of my customers on the set up is having issues with editing posts...... what is strange is it is not every post just some..... we have tried everything from turning off all the plugins to changing themes and it is not working.

another problem we are having is, we can edit most of the other posts, but once we do an update, then click publish or update, the page goes blank. the only way we know any updates have happened is if we visit the site.

the other problem we are having is we are not able to permanently delete any thing we put in the trash. Any help you can give me on this would be very highly appreciated.

Thanks for your time.
Tony V

  • Sajid

    Hi TonyV,
    Hope you are doing good today :slight_smile:

    Strange issue, the white screen of death must contain some error messages on the screen. I think you have disabled the error reporting as well that is why no errors are displaying on the screen.

    One of our developer wrote a plugin to force display the error messages. You can download the plugin from github from this URL:
    https://github.com/stracker-phil/wp-no-white-screen

    We also have a blog article explaining how to troubleshoot this issue.
    https://premium.wpmudev.org/blog/troubleshoot-white-screen-errors/

    Hope that helps! Feel free to post a reply if you need further assistance :slight_smile:
    Cheers, Sajid

  • TonyV

    ok, got the error messages to show, but it makes no sense. I have many sites on the network and only this one is causing problems. this is the error message I am getting

    Notice: The called constructor method for WP_Widget is deprecated since version 4.3.0! Use __construct()
    instead. in /home/xxxxxxxx/public_html/wp-includes/functions.php on line 3624

    Notice: register_sidebar_widget is deprecated since version 2.8! Use wp_register_sidebar_widget() instead. in /home/xxxxxxx/public_html/wp-includes/functions.php on line 3573

    Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/xxxxxxx/public_html/wp-includes/functions.php on line 3737

    the reason this does not make sense to me is that the network is up to date, and only one site on the network shows this error message.

    as I mentioned I have changed themes and removed widgets which did not make the error go away.

    Any help would be highly appreciated.
    Thanks for your time.
    Tony V

  • Panos

    Hello TonyV ,

    This doesn't sound normal, have you ever used any caching plugin for that sub-site? In some occasions caching plugins may leave some code in .htaccess file or in wp-config.php file even if they have been deactivated or removed.

    The errors you mention are just notices and should not affect your site, or at least not in the way you describe.

    Could you also grant us support access if you agree so we can have a closer look at it as we can't replicate this issue. In case we need to deactivate any plugin we will ask for your permission first.

    Looking forward to your reply!

    Kind regards,
    Panos

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.